GNU bug report logs - #40590
Installer crashes while partitioning hard disk > 1 TiB

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: "Keyhenge" <key@HIDDEN>; dated Mon, 13 Apr 2020 03:28:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 15 Apr 2020 06:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 02:44:27 2020
Received: from localhost ([127.0.0.1]:35167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jObmd-0002jw-GC
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 02:44:27 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:43473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jObmb-0002jf-Ov
 for 40590 <at> debbugs.gnu.org; Wed, 15 Apr 2020 02:44:26 -0400
Received: by mail-wr1-f44.google.com with SMTP id i10so17696785wrv.10
 for <40590 <at> debbugs.gnu.org>; Tue, 14 Apr 2020 23:44:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=v4dSQbrknTHF1wkPzLlUd2kLyAmCmVthaT2mOzw57oI=;
 b=Uf5xCxcKVCOz9H7cVJPtfTNa31R4luy8DSqE2rlTGkEqKxXirr0B0/8BNHXYKdJCCk
 gDA+ykdKtNFW9YlUVzfGn/fhYlZSEjjJfP0jXYFfjM3CAyMNOLqPKwOtFePXyXFyasxT
 5gmTYbUq96sw1xNcW+NJFGxyC+evIgNGjXpjbINRZffCirmKyyG7GPbYFlrL4ip2LARG
 9KmlK573+EaHk6m6EHD3ZJPoie0uWm2nGuoh9xYcOuinW1EidqAELG5zT2fpaA9/Ycz/
 rgdSS/1uPxF6Z59TDastHVC+oBpKC1KCD7O+gTpu59GjAjSEkUOw9ow9kPzL495DuXSS
 +Rgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=v4dSQbrknTHF1wkPzLlUd2kLyAmCmVthaT2mOzw57oI=;
 b=iKPXkAcB2AWhTamlXDF8PnaEb071mnf5L+pfmycs6rI3qgQiMNIaib1qdo8hMcuFMy
 1iCgjzuU0daNLyckQv3ENnYF1QlTHR6802Zp5x4we+cNG4FKEdyK7sGvLB3BdC1muaWm
 6iozxAedfC2M7QaEbu8z6K/s64Uni1Z1Rtkxz5xuFv5RdEmQpLI3ApV6WQCZ6/joSRHp
 +N0rq8LXA2sJHAEzEoWnbBfvj0wsfUMu2RfMMfVbTHBOfq1I7NA7dG8VL2iXCY0eafFs
 v/Se6HC1b16cJ3CRWqIMN2gEhiL6fWf2EWH7D/QPTqW2Ltp8aTBAXaF01gWH/En5oAPn
 oT+A==
X-Gm-Message-State: AGi0PuaYYDGmt/Rz7gzPISUoD9azSW8MUg+xQ77sn7F6qfGa51mTgfz+
 RcomPRB8jVdMT9wHfOqkpY1F+rQMJXU=
X-Google-Smtp-Source: APiQypKCeWpXGXRBpZZIQLVy8gHw6tNn0j9FUIQO1n4qWIVGSpjPL5rgSFWrTFkFrw7OxrJ0hUdOIg==
X-Received: by 2002:adf:a54a:: with SMTP id j10mr26178063wrb.233.1586933059492; 
 Tue, 14 Apr 2020 23:44:19 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:98e1:de63:ecf:2ea4])
 by smtp.gmail.com with ESMTPSA id a9sm16473193wmm.38.2020.04.14.23.44.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Apr 2020 23:44:18 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: "Keyhenge" <key@HIDDEN>
Subject: Re: bug#40590:
References: <87o8rwt84t.fsf@HIDDEN> <87v9m3n6nr.fsf@HIDDEN>
 <87sgh6c2ez.fsf@HIDDEN> <87lfmylfif.fsf@HIDDEN>
 <87y2qxvf6l.fsf@HIDDEN>
Date: Wed, 15 Apr 2020 08:44:17 +0200
In-Reply-To: <87y2qxvf6l.fsf@HIDDEN> (Keyhenge's message of "Tue, 14 Apr
 2020 19:08:18 -0400")
Message-ID: <87wo6hi6ym.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 40590
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)


Hello,

> Just in case its relevant, I did the installation twice (both through
> TTY in order to run the mount/rm commands):
> 1. 2 partitions, boot and encrypted root w/ swapfile, using desktop.scm
> as a base
> 2. 3 partitions, boot, root, and a swap partition, using
> lightweight-desktop.scm as a base
> Both had the same results.

Ok, thanks for your perseverance! I see that someone in experimenting
system freeze with a hardware close to yours[1].

Could you try adding the following kernel parameters (via Grub by
pressing 'e', then appending the option at the end of the cmdline):

* nomodeset

and if it doesn't work:

* amd_iommu=pt ivrs_ioapic[32]=00:14.0 iommu=soft

Thanks,

Mathieu

[1]: https://github.com/NixOS/nixpkgs/issues/54378




Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 14 Apr 2020 23:08:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 14 19:08:30 2020
Received: from localhost ([127.0.0.1]:34980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOUfO-0002Ia-CC
	for submit <at> debbugs.gnu.org; Tue, 14 Apr 2020 19:08:30 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:47191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <key@HIDDEN>) id 1jOUfM-0002IJ-BQ
 for 40590 <at> debbugs.gnu.org; Tue, 14 Apr 2020 19:08:29 -0400
Received: from localhost (c-73-43-37-130.hsd1.ga.comcast.net [73.43.37.130])
 (Authenticated sender: key@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id CF988100002;
 Tue, 14 Apr 2020 23:08:20 +0000 (UTC)
References: <87o8rwt84t.fsf@HIDDEN> <87v9m3n6nr.fsf@HIDDEN>
 <87sgh6c2ez.fsf@HIDDEN> <87lfmylfif.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: "Keyhenge" <key@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: bug#40590:
In-reply-to: <87lfmylfif.fsf@HIDDEN>
Date: Tue, 14 Apr 2020 19:08:18 -0400
Message-ID: <87y2qxvf6l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 40590
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Progress! But not quite there yet.

>> It occured to me that the Samsung drive might have been 
>> corrupted at
>> some point, so I dd'd /dev/zero into the first few gigabytes of 
>> the
>> drive to completely wipe the partition table. Sure enough, it 
>> showed up
>> on the partitioning stage of the graphical installer and I was 
>> able get
>> all the way through to the end... except for the same 
>> efibootmgr error.
>
> Ok! So it seems that the additional patch is improving the 
> situation. I
> also fear that 1.1.0-rc2 is having the same error as 1.0.1 but 
> is
> swallowing it. I will investigate it further.
>
> Regarding the efibootmgr error, I'm not really familiar with 
> EFI. Can
> you check that efivarfs is mounted as suggested here[1]?
>
> [1]:
> https://unix.stackexchange.com/questions/379774/grub-installation-failed

Followed the advice on the SE answer, specifically:
$ mount -t efivarfs efivarfs /sys/firmware/efi/efivars
$ rm /sys/firmware/efi/efivars/dump-*
And it successfully installed!.. sort of.

Guix now boots to this screen[1] and then hard freezes.

Just in case its relevant, I did the installation twice (both 
through
TTY in order to run the mount/rm commands):
1. 2 partitions, boot and encrypted root w/ swapfile, using 
desktop.scm
as a base
2. 3 partitions, boot, root, and a swap partition, using
lightweight-desktop.scm as a base
Both had the same results.

[1]:
https://imgur.com/lGWmzfL




Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Set bug title to 'Installer crashes while partitioning hard disk > 1 TiB'. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 14 Apr 2020 06:59:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 14 02:59:14 2020
Received: from localhost ([127.0.0.1]:33088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOFXO-0001PW-Dg
	for submit <at> debbugs.gnu.org; Tue, 14 Apr 2020 02:59:14 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:34032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jOFXM-0001PH-I3
 for 40590 <at> debbugs.gnu.org; Tue, 14 Apr 2020 02:59:12 -0400
Received: by mail-wm1-f48.google.com with SMTP id c195so11736525wme.1
 for <40590 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 23:59:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=2Ph+5kYi8WfRaZ0/Vtu6zpiW90VV+3PUKxDNfdyrQro=;
 b=Lgv1uqR2cXqAlTKtCDcgcZI39i0z0DrWUmjLAb+9/I/+Yb8i9XlNCK4FOgEZ8r//nF
 nfj3mpJx1WabHOsO74WcmE23DZ2bijya5Ke24v4gcG6wQryTsZGc/nwqcC+VjDrvqj1C
 YYiPQ+3cmOXVtAhEsjBneoFJxel55ELP6hmNu/rjgg3ST3Yq2CT0eDpTTelzjlVTRAYI
 sWx8lbs5MM1ikfknMYNK0lBp/20Rhgbwqia8IrDta4pyHDCLD2E4I6HPL/VwwzNi9kVg
 6Uc5etAhrFejGDLs1nNpPKHro5wpH73dDNFlAbaSK+Thvwh8GQhBQJFPV75GWgUhcG3z
 6gcQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=2Ph+5kYi8WfRaZ0/Vtu6zpiW90VV+3PUKxDNfdyrQro=;
 b=CZ/EqzO6C8D75aNVaaqC9r486kPdTg1MYZG0JizRZ7M6AWPCE3AS3ibEY0IQoPsOyC
 ZNcfUid/734igzswLR5X/6pE0LaAsziE55GXdY2AfY56Uz1SOFL1ZJFSjGZ/oXoHZFEi
 fl0gkCgPqx/XKtPZjZ4roP3t+cwF30ldRB9DzwNqKGBKI75XzenS3vmeMIgQyVquDfHt
 FVM3xbhPwPDgHs/sRQrkMd4gu8MY38LwuZ9YSPrZtrkebcdytOUrSosnj5sTEn/BVfIa
 8MTQ12YpYF3zY0z2XEktL+jRS9QZToZbK1U709TGJke8MtIUWgQ2+h/trf9JiO8qEAmk
 hKBQ==
X-Gm-Message-State: AGi0PuY8mUJsOlYSP07PZoJlE6VItYkxNBi4B87GUrpT6Z0GF7tjOMYK
 B9RKPooUvejPSqpIFXyWdElPiXpusQQ=
X-Google-Smtp-Source: APiQypIRm5InXV6Q/nlfHg8R8iKDXdM+/cIBk1kKLPluxPOPWAUJIZMf4HPzw5mUiY1mRxZ2SfRSLA==
X-Received: by 2002:a1c:bad4:: with SMTP id k203mr21780937wmf.15.1586847546337; 
 Mon, 13 Apr 2020 23:59:06 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:d079:6c83:cbcf:d57d])
 by smtp.gmail.com with ESMTPSA id f3sm17927011wmj.24.2020.04.13.23.59.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 23:59:05 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: "Keyhenge" <key@HIDDEN>
Subject: Re: bug#40590:
References: <87o8rwt84t.fsf@HIDDEN> <87v9m3n6nr.fsf@HIDDEN>
 <87sgh6c2ez.fsf@HIDDEN>
Date: Tue, 14 Apr 2020 08:59:04 +0200
In-Reply-To: <87sgh6c2ez.fsf@HIDDEN> (Keyhenge's message of "Mon, 13 Apr
 2020 20:54:28 -0400")
Message-ID: <87lfmylfif.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40590
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hey,

>> * This custom release[3]: 1.1.0-rc2 + the patch suggested by Danny for
>> partitions > 1TiB.
>> [3]: Via ipfs: QmbbkQZc7fbsDrutNwVuvpFep3dBjZx6muni3WgXjRneq7
> It occured to me that the Samsung drive might have been corrupted at
> some point, so I dd'd /dev/zero into the first few gigabytes of the
> drive to completely wipe the partition table. Sure enough, it showed up
> on the partitioning stage of the graphical installer and I was able get
> all the way through to the end... except for the same efibootmgr error.

Ok! So it seems that the additional patch is improving the situation. I
also fear that 1.1.0-rc2 is having the same error as 1.0.1 but is
swallowing it. I will investigate it further.

Regarding the efibootmgr error, I'm not really familiar with EFI. Can
you check that efivarfs is mounted as suggested here[1]?

Thanks,

Mathieu

[1]: https://unix.stackexchange.com/questions/379774/grub-installation-failed




Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 14 Apr 2020 02:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 22:16:56 2020
Received: from localhost ([127.0.0.1]:32937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOB8B-0002lr-HV
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 22:16:56 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:54689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <key@HIDDEN>) id 1jO9qX-0000j1-IG
 for 40590 <at> debbugs.gnu.org; Mon, 13 Apr 2020 20:54:38 -0400
X-Originating-IP: 73.43.37.130
Received: from localhost (c-73-43-37-130.hsd1.ga.comcast.net [73.43.37.130])
 (Authenticated sender: key@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 4FA401C0002;
 Tue, 14 Apr 2020 00:54:29 +0000 (UTC)
References: <87o8rwt84t.fsf@HIDDEN> <87v9m3n6nr.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: "Keyhenge" <key@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: bug#40590:
In-reply-to: <87v9m3n6nr.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 20:54:28 -0400
Message-ID: <87sgh6c2ez.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 40590
X-Mailman-Approved-At: Mon, 13 Apr 2020 22:16:54 -0400
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

Quick update on the previous email:

> * This custom release[3]: 1.1.0-rc2 + the patch suggested by 
> Danny for
> partitions > 1TiB.
> [3]: Via ipfs: QmbbkQZc7fbsDrutNwVuvpFep3dBjZx6muni3WgXjRneq7
It occured to me that the Samsung drive might have been corrupted 
at
some point, so I dd'd /dev/zero into the first few gigabytes of 
the
drive to completely wipe the partition table. Sure enough, it 
showed up
on the partitioning stage of the graphical installer and I was 
able get
all the way through to the end... except for the same efibootmgr 
error.




Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 14 Apr 2020 00:04:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 20:04:25 2020
Received: from localhost ([127.0.0.1]:32839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jO93x-0007vk-Cp
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 20:04:25 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:52433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <key@HIDDEN>) id 1jO8zJ-0007n5-E0
 for 40590 <at> debbugs.gnu.org; Mon, 13 Apr 2020 19:59:38 -0400
Received: from localhost (c-73-43-37-130.hsd1.ga.comcast.net [73.43.37.130])
 (Authenticated sender: key@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id D709B240003;
 Mon, 13 Apr 2020 23:59:29 +0000 (UTC)
References: <87o8rwt84t.fsf@HIDDEN> <87v9m3n6nr.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: "Keyhenge" <key@HIDDEN>
To: Mathieu Othacehe <m.othacehe@HIDDEN>
Subject: Re: bug#40590:
In-reply-to: <87v9m3n6nr.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 19:59:27 -0400
Message-ID: <87k12jszs0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 40590
X-Mailman-Approved-At: Mon, 13 Apr 2020 20:04:24 -0400
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

First off, thanks for your help so far!

> Did you use 1.0.1 image or a more recent one?
I was using the Guix System 1.0.1 x86_64 image here:
https://guix.gnu.org/download/

> Did you mount your EFI partition to "/mnt/boot/efi" before 
> starting the
> install?
Yep. Not mounting it yields a different error (cannot find 
canonical
path of /mnt/boot/efi)
I'll also confirm I'm setting the esp flag on the partition.

> Now, if you could try again with:
>
> * The 1.1.0-rc2 release available here[2].
- The graphical installer displays normal behavior up to when 
  making the
partitions, where it resets the installation without displaying an
error
- Installation through TTY has the same behavior as before, 
  efibootmgr
failed to register the boot entry: Input/output error

> * This custom release[3]: 1.1.0-rc2 + the patch suggested by 
> Danny for
> partitions > 1TiB.
- Graphical installation has an oddity, my Samsung drive has 
  disappeared
from the disk selection in both guided and manual partitioning
- Strangely, my WD Blue 2TB drive (also an SSD) with the NixOS
installation shows up just fine
- While it is possible to access the Samsung drive from the TTY, 
  and
even wipe it/make new partitions, trying to populate the 
partitions with
filesystems will result in them saying they're in use or already
mounted. I suspect this is also why it's not showing up in the 
graphical
installation.





Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.

Message received at 40590 <at> debbugs.gnu.org:


Received: (at 40590) by debbugs.gnu.org; 13 Apr 2020 08:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 13 04:15:16 2020
Received: from localhost ([127.0.0.1]:59185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jNuFP-0002x5-Pp
	for submit <at> debbugs.gnu.org; Mon, 13 Apr 2020 04:15:16 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:37110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1jNuFM-0002wm-IN
 for 40590 <at> debbugs.gnu.org; Mon, 13 Apr 2020 04:15:14 -0400
Received: by mail-wm1-f49.google.com with SMTP id z6so9178099wml.2
 for <40590 <at> debbugs.gnu.org>; Mon, 13 Apr 2020 01:15:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=fJPupXQ9f0LZGlbA6hsCdVvjr3u/gzBvVI2uPyyVzYc=;
 b=A0suTd9U/fKnPEcq2HqTXMdejP/ubqGnqJvGOyU86JcLQKy17YFQ9kFIC5ssMlDops
 Fn3YePqLszXF87FfiFDidE0MAFcaINEEj4b6wCt07YNswZvoSwAvfXRBAq2mHSFabmxb
 Ckrfb5N6GRUsOfan0byc7eSyLakjaeC7qw/ZjcK713+nDF5wXlzpRQS7abZ3d1HmqcEK
 /fcxzPgrBgOoBWKvhyzso1AdNhRh0i3UTf9syZ5Wqt+yYW9gmUlQTLQC0fl8fQDMMFYN
 fzJroMWHC1bRDuh17rchq8/2Ohz3oHVm3/3JFJALfm42Gi1x4gsgxa/gp1aB4/eW6BEO
 +k5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=fJPupXQ9f0LZGlbA6hsCdVvjr3u/gzBvVI2uPyyVzYc=;
 b=F4EgH7rVWy15XbCZfKsVn1k4g/wReHBTImL1nBaC1bUIZXzG0g80gKBlNK7b42f+ND
 a9BmjXiP5yqf3OXtHe2DopwVZex56DTW0cKEiVS2miVDQVFvPf6avCkmhVTMfFsutrcP
 JxnRv8cE4j+A43O7Dk00tRb8Em6BH78sHIYAtQjOlRyUeos12Rs3vqyiFCjiRDiLALw2
 y0IuzWpQQP5O1DkDf+BINYxhYo7Wxn1vDbGqR11K55Ymc9arW4dhdkJhKJzfC8Pt7cE6
 LMGIjyCt0QiVyWI2ohOK8TtTT7Dgqq2/fQAiMGUg7imQV8X6VRt7HZ2fLOzb0H/6qVwS
 /PcA==
X-Gm-Message-State: AGi0Pub6p0xcIulPipmfg99p3LiSjfxvKDZHGfFFG2vRhuYKxp4m/YKD
 ++gMyYC8vzVOETqLId87EmwDmKPuNMg=
X-Google-Smtp-Source: APiQypLB72R3ZhKrJWAhU4WqC5HP6iGxo8gW0oj0tmvEdhOIfAyVO4h9OVV7xpbVw5DaHXPU98XSKg==
X-Received: by 2002:a1c:1d84:: with SMTP id
 d126mr17316893wmd.119.1586765706406; 
 Mon, 13 Apr 2020 01:15:06 -0700 (PDT)
Received: from meru ([2a01:cb18:832e:5f00:bc45:32:8738:64bc])
 by smtp.gmail.com with ESMTPSA id c83sm10762676wmd.23.2020.04.13.01.15.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 13 Apr 2020 01:15:05 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: "Keyhenge" <key@HIDDEN>
Subject: Re: bug#40590:
References: <87o8rwt84t.fsf@HIDDEN>
Date: Mon, 13 Apr 2020 10:15:04 +0200
In-Reply-To: <87o8rwt84t.fsf@HIDDEN> (Keyhenge's message of "Sun, 12 Apr
 2020 22:46:42 -0400")
Message-ID: <87v9m3n6nr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 40590
Cc: 40590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)


Hello,

> The first error comes when trying to partition the SSD via the graphical
> installer, choosing a guided installation. This will happen choosing with
> or without encryption, and with or without a separate /home partition.

Sorry for all the errors you encountered, but many thanks for the
feedback!  Let's try to see what went wrong.

Did you use 1.0.1 image or a more recent one?

>  619:8 2 (_ #(#(#<directory (guile-user) 1253140> null-pointer-error
> ("pointer->bytevector" "null pointer dereference" () ())) #<output:
> /tmp/last-installer-error 12>))
>  159:9 1 (_ #(#(#<directory (guile-user) 1253140> null-pointer-error
> ("pointer->bytevector" "null pointer dereference" () ())) #<output:
> /tmp/last-installer-error 12>))
> In unknown file:
>  0 (make-stack #t)
> ice-9/eval.scm:159:9: In procedure pointer->bytevector: null pointer
> dereference

Ok, so I suspect that this one is caused by the size of your hard
drive (2TiB). It's an unsolved issue[1] that fell into the cracks.

> error: '/gnu/store/[hash]-grub-efi-2.02/sbin/grub-install --boot-directory
> /mnt/boot --bootloader-id=Guix --efi-directory /mnt/boot/efi' exited with
> status 1; output follows:
>  Installing for x86_64-efi platform.
>  Could not prepare Boot variable: No such file or directory
>  /gnu/store/[hash]-grub-efi-2.02/sbin/grub-install: error: efibootmgr
> failed to register the boot entry: Input/output error.
> guix system: error: failed to install bootloader
> /gnu/store/[hash]-bootloader-installer

Did you mount your EFI partition to "/mnt/boot/efi" before starting the
install?

> If you head back to the graphical install after this, you'll be treated to
> another error when trying to pick your locale/keymap.

Well, the graphical installer does not support very well to be
restarted, especially in 1.0.1 release.

> - I've transcribed the above errors by hand, but since they seem to be
> exporting the output to /tmp, there's got to be a better way. Is it
> possible to email this list from inside the installation image?

That's heroic! If you have another machine around you may use SSH to get
the error file (located in /tmp/last-installer-error). Otherwise you can
take some pictures of your screen and send them as attachment.

Now, if you could try again with:

* The 1.1.0-rc2 release available here[2].

* This custom release[3]: 1.1.0-rc2 + the patch suggested by Danny for
partitions > 1TiB.

that would be really appreciated :)

Thanks,

Mathieu

[1]: https://issues.guix.gnu.org/issue/36783
[2]: https://web.fdn.fr/~lcourtes/software/guix/1.1.0rc2/
[3]: Via ipfs: QmbbkQZc7fbsDrutNwVuvpFep3dBjZx6muni3WgXjRneq7




Information forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2020 03:27:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 12 23:27:22 2020
Received: from localhost ([127.0.0.1]:59072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jNpkn-0003tg-0z
	for submit <at> debbugs.gnu.org; Sun, 12 Apr 2020 23:27:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:41212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <key@HIDDEN>) id 1jNp7f-0002sk-US
 for submit <at> debbugs.gnu.org; Sun, 12 Apr 2020 22:46:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43836)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <key@HIDDEN>) id 1jNp7e-0002kK-4c
 for bug-guix@HIDDEN; Sun, 12 Apr 2020 22:46:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <key@HIDDEN>) id 1jNp7c-0005od-4W
 for bug-guix@HIDDEN; Sun, 12 Apr 2020 22:46:53 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:36411)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <key@HIDDEN>) id 1jNp7b-0005jr-Rb
 for bug-guix@HIDDEN; Sun, 12 Apr 2020 22:46:52 -0400
X-Originating-IP: 73.43.37.130
Received: from localhost (c-73-43-37-130.hsd1.ga.comcast.net [73.43.37.130])
 (Authenticated sender: key@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id A4D6DE0002
 for <bug-guix@HIDDEN>; Mon, 13 Apr 2020 02:46:44 +0000 (UTC)
User-agent: mu4e 1.2.0; emacs 26.3
From: "Keyhenge" <key@HIDDEN>
To: bug-guix@HIDDEN
Subject: 
Date: Sun, 12 Apr 2020 22:46:42 -0400
Message-ID: <87o8rwt84t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.196
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, I'm a new Guix user (well, trying to be) and am trying
 to install Guix onto my desktop machine. Unfortunately, I'm getting four
 errors in the installer which are preventing me from installing it. [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 12 Apr 2020 23:27:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, I'm a new Guix user (well, trying to be) and am trying
    to install Guix onto my desktop machine. Unfortunately, I'm getting four
   errors in the installer which are preventing me from installing it. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  2.0 BLANK_SUBJECT          Subject is present but empty
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hi, I'm a new Guix user (well, trying to be) and am trying to 
install
Guix onto my desktop machine. Unfortunately, I'm getting four 
errors in
the installer which are preventing me from installing it. Also, 
apologies
if I format this wrong, this is my first time mailing in a bug 
report.

Info about my machine:
CPU: AMD Ryzen 2700X
GPU: AMD 5700 XT
SSD: Samsung SSD 860 2TB
Memory: 32GB

The first error comes when trying to partition the SSD via the 
graphical
installer, choosing a guided installation. This will happen 
choosing with
or without encryption, and with or without a separate /home 
partition.

In ice-9/boot-9.scm:
  829:9 19 (catch srfi-34 #procedure 2ea60c0 at
./gnu/installer/steps.scm:144:7()> #procedure 2e251e0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 18 (catch srfi-34 #procedure 2eb8440 at
./gnu/installer/steps.scm:144:7()> #procedure 2f27e60 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 17 (catch srfi-34 #procedure 2eb8240 at
./gnu/installer/steps.scm:144:7()> #procedure 2f27e10 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 16 (catch srfi-34 #procedure 2eb8040 at
./gnu/installer/steps.scm:144:7()> #procedure 2f27dc0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 15 (catch srfi-34 #procedure 286e200 at
./gnu/installer/steps.scm:144:7()> #procedure 17468c0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
In ./gnu/installer/steps.scm
  182:21 14 (_)
In ./gnu/installer/newt/partition.scm:
  755:33 13 (run-partitioning-page)
In ./gnu/installer/parted.scm:
  1010:14 12 (auto-partition! #<<disk> bytestructure: 
  #<bytestructure
0x185ba50>>#:scheme _)
  863:17 11 (loop _ 3905980593 1048575)
  771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure 
  0x185ba50>> _
#:previous-partition _)
In parted/structs.scm
  552:19 9 (pointer->partition _)
  132:3 8 (pointer->bytestructure #<pointer 0x0> 
  #<bytestructure-descriptor
0x31071c0>)
In unknown file:
  7 (pointer->bytevector #<pointer 0x0> 88 #<undefined> 
  #<undefined>)
In ice-9/boot-9.scm:
  751:25 6 (dispatch-exception 5 null-pointer-error 
  ("pointer->bytevector"
"null pointer dereference" () ()))
In ice-9/eval.scm:
  619:8 5 (_ #(#(#<directory (guile-user) 1253140> #<<installer> 
  name: newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> final-...>) ...))
  619:8 4 (_ #(#(#(#<directory (guile-user) 1253140> #<<installer> 
  name:
newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> f...>) ...) #))
In ice-9/ports.scm:
  462:17 3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
  619:8 2 (_ #(#(#<directory (guile-user) 1253140> 
  null-pointer-error
("pointer->bytevector" "null pointer dereference" () ())) 
#<output:
/tmp/last-installer-error 12>))
  159:9 1 (_ #(#(#<directory (guile-user) 1253140> 
  null-pointer-error
("pointer->bytevector" "null pointer dereference" () ())) 
#<output:
/tmp/last-installer-error 12>))
In unknown file:
  0 (make-stack #t)
ice-9/eval.scm:159:9: In procedure pointer->bytevector: null 
pointer
dereference

The second error I get unfortunately doesn't have an error 
message, and
comes when trying to do a manual partition via the graphical 
installer.
I'll be able to make a boot partition (around 512 MB) just fine, 
but when
trying to make a partition on the rest of the disk (or even most 
of it),
the installer will immediately reset and take me back to picking 
the
language.

I then tried the CLI installation method which fared quite a bit 
better.
For one, I got past the partitioning stage, mounted the partitions 
to the
appropriate places, and made a configuration. It even gets through 
most of
the installation progress, but unfortunately fails on what seems 
to be the
very last step, initializing the operating system under /mnt, 
specifically
populating /mnt. bootloader-installer fails with the following 
error:

Initializing operating system under '/mnt'...
copying to '/mnt'...
populating '/mnt'...
error: '/gnu/store/[hash]-grub-efi-2.02/sbin/grub-install 
--boot-directory
/mnt/boot --bootloader-id=Guix --efi-directory /mnt/boot/efi' 
exited with
status 1; output follows:
  Installing for x86_64-efi platform.
  Could not prepare Boot variable: No such file or directory
  /gnu/store/[hash]-grub-efi-2.02/sbin/grub-install: error: 
  efibootmgr
failed to register the boot entry: Input/output error.
guix system: error: failed to install bootloader
/gnu/store/[hash]-bootloader-installer

If you head back to the graphical install after this, you'll be 
treated to
another error when trying to pick your locale/keymap.

In ice-9/eval.scm:
  619:8 19 (_ #(#(#<directory (guile-user) 133e140> #<<installer> 
  name: newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> final-...>) #))
In ice-9/boot-9.scm:
  829:9 18 (catch #t #<procedure 294a2e0 at ice-9/eval.scm:330:13 
  ()>
#<procedure 294a140 at ice-9/boot-9.scm:1048:2 _> _)
In ice-9/eval.scm:
  619:8 17 (_ #(#(#(#<directory (guile-user) 133e140> 
  #<<installer> name:
newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> fi...> ...)) ...))
  626:19 16 (_ #(#(#(#<directory (guile-user) 133e140> 
  #<<installer> name:
newtinit: #<procedure init ()> exit: #<procedure exit ()> 
exit-error:
#<procedure exit-error (file key args)> fi...> ...)) ...))
In ./gnu/installer/steps.scm:
  189:6 15 (run-installer-steps #:steps _ #:rewind-strategy _ 
  #:menu-proc _)
In ice-9/boot-9.scm:
  829:9 14 (catch srfi-34 #<procedure 2e79b80 at
./gnu/installer/steps.scm:144:7()> #<procedure 2df4320 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 13 (catch srfi-34 #<procedure 2efaf80 at
./gnu/installer/steps.scm:144:7()> #<procedure 2df4050 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 12 (catch srfi-34 #<procedure 2efad40 at
./gnu/installer/steps.scm:144:7()> #<procedure 2df4000 at
./gnu/installer/steps.scm:144:7 (key c)> _)
  829:9 11 (catch srfi-34 #<procedure 2efab40 at
./gnu/installer/steps.scm:144:7()> #<procedure 2ff1fa0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
In ./gnu/installer/keymap.scm:
  163:7 8 (_ _)
In unknown file:
  7 (scm-error misc-error #f "~A" ("Unable to locate keymap update 
  file")
#f)
In ice-9/boot-9.scm:
  751:25 6 (dispatch-exception 4 misc-error (#f "~A" ("Unable to 
  locate
keymap update file") #f))
In ice-9/eval.scm:
  619:8 5 (_ #(#(#<directory (guile-user) 133e140> #<<installer> 
  name: newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> final-...>) ...))
  619:8 4 (_ #(#(#(#<directory (guile-user) 133e140> #<<installer> 
  name:
newt
init: #<procedure init ()> exit: #<procedure exit ()> exit-error:
#<procedure exit-error (file key args)> f...>) ...) #))
In ice-9/ports.scm:
  462:17 3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
  619:8 2 (_ #(#(#<directory (guile-user) 133e140> misc-error (#f 
  "~A"
("Unable to locate keymap update file") #f)) #<output:
/tmp/last-installer-error 17>))
  159:9 1 (_ #(#(#<directory (guile-user) 133e140> misc-error (#f 
  "~A"
("Unable to locate keymap update file") #f)) #<output:
/tmp/last-installer-error 17>))
In unknown file:
  0 (make-stack #t)
ice-9/eval.scm:159:9: Unable to locate keymap update file

Some side notes:
- I've redownloaded, verified through gpg, and dd'd the iso onto 
  my USB a
couple of times to ensure it wasn't just a bad download
- While I have NixOS on another SSD, these errors persist even 
  when I
physically remove it, so I don't think there's any /dev/sdX 
ordering issues
involved.
- Doing the partitions via CLI, then going back through the manual 
  install
process results in normal behavior up until the grub-install error
- Restarting the graphical installer after the grub-install error, 
  then
going to the CLI will let you see that all of the partitions have 
been
unmounted, except for the root partition which will instead be 
mounted to
/tmp and have a guix-install folder.
- When viewing what's under /mnt/boot/efi, you'll get the path
/mnt/boot/efi/EFI/Guix/grubx64.efi. This seems like a weird path 
to me with
efi/EFI, but I don't really have experience with tinkering with 
grub.
Changing the path to be /mnt/boot/efi/Guix/grubx64.efi doesn't 
change the
bootloader error.
- I've transcribed the above errors by hand, but since they seem 
  to be
exporting the output to /tmp, there's got to be a better way. Is 
it
possible to email this list from inside the installation image?




Acknowledgement sent to "Keyhenge" <key@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#40590; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Apr 2020 06:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.